Subject: RE: [Simple] New WG charter topic: draft-aoki-feel-00.txt ?

From: "Orit Levin" <[email-masked]>
Date: Sat, 2 Apr 2005 00:37:18 -0800

Quite amazing, indeed :-O
There is nothing like Google 8-)

I especially enjoyed seeing the Jabber/Wireless Village interoperability
efforts. Interesting enough that they approached the task 100% seriously
:-)

Actually, we have been planning to send the draft to XMPP as well, but
realized that they manage to solve all the problems already (apparently
including this one :-)) and closed the WG.

Anyway, regardless what approach we eventually agree upon for SIMPLE, it
would be nice if the "presence data model design team" coordinates the
widely used emoticons semantics with pidf, rpid, and cipid definitions
(while completely re-doing the schemas both in style and content :-/ ).

;)
Orit. 

> -----Original Message-----
> From: Henning Schulzrinne [mailto:[email-masked]]
> Sent: Friday, April 01, 2005 7:13 PM
> To: Jonathan Rosenberg
> Cc: Orit Levin; Simple WG
> Subject: Re: [Simple] New WG charter topic: draft-aoki-feel-00.txt ?
> 
> I wasn't quite sure whether this was a draft that needed a morality
> considerations section according to RFC 4041.
> 
> In any event, from a minute of googling, there have been earlier
> attempts at related things:
> 
> See http://www.vhml.org/vhml_about/html/vhml_about.shtml
> http://www.humanmarkup.org
> 
> Jabber apparently allows moods in messages, too:
> http://www.jabber.org/jeps/jep-0107.html
> 
> None of the emotional markup languages seem to have made much
progress.
> 
> Jonathan Rosenberg wrote:
> > Orit,
> >
> > I think most folks would agree that this is a problem. However, I am
not
> > sure I agree with the solution.
> >
> > When this has come up in the past, the general answer has been to
use
> > richer IM formats, such as html, that allow inclusion of graphical
> > elements that convey the actual emoticon. This eliminates all of the
> > interoperability issues you mention, and requires no additional
> > standards work. Your draft doesnt discuss this option, and I am
curious
> > whether you considered it and rejected it, or had not considered it.
> >
> > I can think of only a few reasons why an embedded graphic would be a
> > problem:
> >
> > 1. message size constraints, though the emoticon images are tiny and
> > this seems not really a big deal
> >
> > 2. because there is a desire to translate the emoticon, and thus
> > something that can be interpreted by an automata is required.
> >
> > Your draft touches on the second point. However, I'm not sure that
> > translation is what is really desired. I think most users would be
> > surprised and confused if they think they sent an image of a user
> > chugging a beer, and then the recipient got a user sipping wine. How
can
> > the originating UA figure out the user INTENT when they selected the
> > "chugging beer" emoticon? Your draft assumes that the user meant
"having
> > a drink". What if the intent of the communications was explicitly
around
> > beer, and NOT some other type of beverage?
> >
> > Thanks,
> > Jonathan R.
> >

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple